Page MenuHomePhabricator

Copied reference is malformed - page cannot be saved or switched to source editing
Closed, ResolvedPublic1 Story Points

Description

I tried to split out a section from an article by copying and pasting from one Visual Editor tab to another. The text contained one raw reference (which, incidentally, Visual Editor was unable to render in the reference list while editing the new article). When I tried to save the new article or switch it to source editing, I just got 500 errors from the server.

My workaround was to Escape (using the Esc key) from the "crashed" save/switch features and copy-paste the content into a new browser tab, and then to change the content of the reference (which showed up as empty in the dialog box) to "TBC". See https://en.wikipedia.org/w/index.php?title=The_Son_Also_Rises_(book)&oldid=663823722

Event Timeline

Greenrd created this task.May 24 2015, 5:52 PM
Greenrd raised the priority of this task from to Needs Triage.
Greenrd updated the task description. (Show Details)
Greenrd added a project: VisualEditor.
Greenrd added a subscriber: Greenrd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2015, 5:52 PM

This also happened in the Catalan Wikipedia, there's a transcript of the error at https://ca.wikipedia.org/wiki/Topic:Shssmsofmcgkqhmv .

Translation:
Testing on Ubuntu, Firefox and VE:

Something hasn't worked
parsoidserver-http: HTTP 500
Discard

I tried to reproduce and when looking at the changes from the save dialog the reference had been copied as a link, but that didn't crash Parsoid. I didn't save, though.

Elitre added a subscriber: Elitre.Jun 2 2015, 5:45 PM
Jdforrester-WMF closed this task as Resolved.Jul 31 2015, 11:35 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I think this is now fixed with adjustments to copy-paste of IDs.

Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.